GET https://management.azure.com/providers/Microsoft.ContainerService/operations?api-version=2025-03-01
/**
* Samples for Operations List.
*/
public final class Main {
/*
* x-ms-original-file: 2025-03-01/Operations_List.json
*/
/**
* Sample code: List the operations for the provider.
*
* @param manager Entry point to ContainerServiceFleetManager.
*/
public static void listTheOperationsForTheProvider(
com.azure.resourcemanager.containerservicefleet.ContainerServiceFleetManager manager) {
manager.operations().list(com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.containerservicefleet import ContainerServiceFleetMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-containerservicefleet
# USAGE
python operations_list.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ContainerServiceFleetMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.operations.list()
for item in response:
print(item)
# x-ms-original-file: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Operations_List.json
if __name__ == "__main__":
main()
package armcontainerservicefleet_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/containerservicefleet/armcontainerservicefleet/v2"
)
// Generated from example definition: 2025-03-01/Operations_List.json
func ExampleOperationsClient_NewListPager_listTheOperationsForTheProvider() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcontainerservicefleet.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewOperationsClient().NewListPager(nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcontainerservicefleet.OperationsClientListResponse{
// OperationListResult: armcontainerservicefleet.OperationListResult{
// Value: []*armcontainerservicefleet.Operation{
// {
// Display: &armcontainerservicefleet.OperationDisplay{
// Description: to.Ptr("Gets the status of an asynchronous operation"),
// Operation: to.Ptr("Get Operation"),
// Provider: to.Ptr("Microsoft Container Service"),
// Resource: to.Ptr("Operation"),
// },
// Name: to.Ptr("Microsoft.ContainerService/locations/operations/read"),
// Origin: to.Ptr(armcontainerservicefleet.OriginUserSystem),
// },
// },
// },
// }
}
}
const { ContainerServiceFleetClient } = require("@azure/arm-containerservicefleet");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to list the operations for the provider
*
* @summary list the operations for the provider
* x-ms-original-file: 2025-03-01/Operations_List.json
*/
async function listTheOperationsForTheProvider() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-00000000000";
const client = new ContainerServiceFleetClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.operations.list()) {
resArray.push(item);
}
console.log(resArray);
}
GET https://management.azure.com/providers/Microsoft.ContainerService/operations?api-version=2025-03-01
/**
* Samples for Operations List.
*/
public final class Main {
/*
* x-ms-original-file: 2025-03-01/Operations_List_MaximumSet_Gen.json
*/
/**
* Sample code: List the operations for the provider. - generated by [MaximumSet] rule.
*
* @param manager Entry point to ContainerServiceFleetManager.
*/
public static void listTheOperationsForTheProviderGeneratedByMaximumSetRule(
com.azure.resourcemanager.containerservicefleet.ContainerServiceFleetManager manager) {
manager.operations().list(com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.containerservicefleet import ContainerServiceFleetMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-containerservicefleet
# USAGE
python operations_list_maximum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ContainerServiceFleetMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.operations.list()
for item in response:
print(item)
# x-ms-original-file: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Operations_List_MaximumSet_Gen.json
if __name__ == "__main__":
main()
const { ContainerServiceFleetClient } = require("@azure/arm-containerservicefleet");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to list the operations for the provider
*
* @summary list the operations for the provider
* x-ms-original-file: 2025-03-01/Operations_List_MaximumSet_Gen.json
*/
async function listTheOperationsForTheProviderGeneratedByMaximumSetRule() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-00000000000";
const client = new ContainerServiceFleetClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.operations.list()) {
resArray.push(item);
}
console.log(resArray);
}
GET https://management.azure.com/providers/Microsoft.ContainerService/operations?api-version=2025-03-01
/**
* Samples for Operations List.
*/
public final class Main {
/*
* x-ms-original-file: 2025-03-01/Operations_List_MinimumSet_Gen.json
*/
/**
* Sample code: List the operations for the provider. - generated by [MinimumSet] rule.
*
* @param manager Entry point to ContainerServiceFleetManager.
*/
public static void listTheOperationsForTheProviderGeneratedByMinimumSetRule(
com.azure.resourcemanager.containerservicefleet.ContainerServiceFleetManager manager) {
manager.operations().list(com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.containerservicefleet import ContainerServiceFleetMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-containerservicefleet
# USAGE
python operations_list_minimum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ContainerServiceFleetMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.operations.list()
for item in response:
print(item)
# x-ms-original-file: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Operations_List_MinimumSet_Gen.json
if __name__ == "__main__":
main()
package armcontainerservicefleet_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/containerservicefleet/armcontainerservicefleet/v2"
)
// Generated from example definition: 2025-03-01/Operations_List_MinimumSet_Gen.json
func ExampleOperationsClient_NewListPager_listTheOperationsForTheProviderGeneratedByMinimumSetRule() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcontainerservicefleet.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewOperationsClient().NewListPager(nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcontainerservicefleet.OperationsClientListResponse{
// OperationListResult: armcontainerservicefleet.OperationListResult{
// },
// }
}
}
const { ContainerServiceFleetClient } = require("@azure/arm-containerservicefleet");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to list the operations for the provider
*
* @summary list the operations for the provider
* x-ms-original-file: 2025-03-01/Operations_List_MinimumSet_Gen.json
*/
async function listTheOperationsForTheProviderGeneratedByMinimumSetRule() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-00000000000";
const client = new ContainerServiceFleetClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.operations.list()) {
resArray.push(item);
}
console.log(resArray);
}
Localized display information for this particular operation.
isDataAction
boolean
Whether the operation applies to data-plane. This is "true" for data-plane operations and "false" for ARM/control-plane operations.
name
string
The name of the operation, as per Resource-Based Access Control (RBAC). Examples: "Microsoft.Compute/virtualMachines/write", "Microsoft.Compute/virtualMachines/capture/action"